List client accounts
curl --request GET \
--url https://api-demo.taxrock.com/client-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-demo.taxrock.com/client-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-demo.taxrock.com/client-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-demo.taxrock.com/client-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-demo.taxrock.com/client-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-demo.taxrock.com/client-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-demo.taxrock.com/client-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"clientAccounts": [
{
"id": "00000000-0000-4000-8000-0000000000c1",
"name": "Example Family",
"taxpayers": [
{
"id": "00000000-0000-4000-8000-0000000000a1",
"name": "Example Holdings LLC",
"type": "Business",
"tin": "000000000"
},
{
"id": "00000000-0000-4000-8000-0000000000a2",
"name": "Taylor Example",
"type": "Individual",
"tin": "000000000"
}
]
},
{
"id": "00000000-0000-4000-8000-0000000000c2",
"name": "Example Holdings",
"taxpayers": [
{
"id": "00000000-0000-4000-8000-0000000000a1",
"name": "Example Holdings LLC",
"type": "Business",
"tin": "000000000"
}
]
}
],
"page": 1,
"pageSize": 100,
"totalCount": 2,
"hasNextPage": false
}{
"error": "invalid_request",
"message": "The value 'abc' is not valid."
}{
"error": "forbidden",
"message": "This client is not authorized for direct access."
}Client Accounts
List client accounts
GET /client-accounts
GET
/
client-accounts
List client accounts
curl --request GET \
--url https://api-demo.taxrock.com/client-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-demo.taxrock.com/client-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-demo.taxrock.com/client-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-demo.taxrock.com/client-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-demo.taxrock.com/client-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-demo.taxrock.com/client-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-demo.taxrock.com/client-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"clientAccounts": [
{
"id": "00000000-0000-4000-8000-0000000000c1",
"name": "Example Family",
"taxpayers": [
{
"id": "00000000-0000-4000-8000-0000000000a1",
"name": "Example Holdings LLC",
"type": "Business",
"tin": "000000000"
},
{
"id": "00000000-0000-4000-8000-0000000000a2",
"name": "Taylor Example",
"type": "Individual",
"tin": "000000000"
}
]
},
{
"id": "00000000-0000-4000-8000-0000000000c2",
"name": "Example Holdings",
"taxpayers": [
{
"id": "00000000-0000-4000-8000-0000000000a1",
"name": "Example Holdings LLC",
"type": "Business",
"tin": "000000000"
}
]
}
],
"page": 1,
"pageSize": 100,
"totalCount": 2,
"hasNextPage": false
}{
"error": "invalid_request",
"message": "The value 'abc' is not valid."
}{
"error": "forbidden",
"message": "This client is not authorized for direct access."
}Returns the client accounts in the credential’s organization, each with its taxpayers, one page at a time.
See the Transcripts overview.
Authorizations
The access token from the client credentials grant, sent as a Bearer credential.
Query Parameters
The page number, from 1.
Required range:
x >= 1Client accounts per page.
Required range:
1 <= x <= 500Response
One page of client accounts.

